Page MenuHomePhabricator

Enable TemplateStyles on ruwiki on 2018-04-10
Closed, ResolvedPublic

Description

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable TemplateStyles on ruwiki

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
ResolvedJdlrobson
DuplicateNone
DuplicateNone
OpenNone
OpenNone
DeclinedNone
InvalidNone
OpenNone
OpenNone
ResolvedTheDJ
ResolvedTheDJ
InvalidNone
OpenNone
ResolvedTheDJ
OpenNone
ResolvedJdlrobson
OpenJdlrobson
OpenJdlrobson
ResolvedTgr
ResolvedTgr
DeclinedNone
Resolvedssastry

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2018, 5:32 AM
Nirmos added a subscriber: Nirmos.Feb 25 2018, 7:08 AM

I'd recommend holding this off until T186965 and T188143 are solved.

Iniquity changed the task status from Open to Stalled.EditedFeb 25 2018, 4:27 PM
Iniquity added a subscriber: Iniquity.

Community consensus needed. Wait please :)

stjn added a subscriber: stjn.Feb 26 2018, 7:55 PM
Tgr added a subscriber: Tgr.Feb 28 2018, 2:36 AM

Also please clarify whether T187141: Deduplicate template styles in mobileviews API (style deduplication on the mobile site) and/or T187142: Deduplicate template styles in Parsoid (style deduplication in VisualEditor) are blockers.

Yes, all tasks can be added as blockers. The deployment can wait for a more smooth period according to the others experience of using.

Let's proceed with deployment of TemplateStyles to the Russian Wikipedia in a SWAT window next week.

Iniquity added a comment.EditedMar 15 2018, 6:09 PM

@Deskana we have two blockers, and we are trying to decide (community discussion) how to circumscribe (without any extension tools) TemplateStyles now (related tasks T188287, T187729).
I also care about T186965.

@Iniquity The discussion linked in the description is dead; the last comment was on 3rd March. It seems like there's really not a lot of interest shown here for beta testing TemplateStyles, so I guess I'll look elsewhere instead.

Iniquity changed the task status from Stalled to Open.Apr 5 2018, 9:52 AM

We reached a community consensus to enable TemplateStyles :)

Tgr added a comment.Apr 5 2018, 10:05 AM

Does that mean "enable after the blockers are fixed" or "enable as it is now"?

Deskana changed the task status from Open to Stalled.Apr 5 2018, 10:21 AM

We reached a community consensus to enable TemplateStyles :)

And, yet, in T187729#3985938, others disagree and say that it's only the consensus to enable it for admins and template editors. From what I can see, things are pretty divided, and I have no interest in fighting over it when I can instead focus on enabling TemplateStyles where there is no such division. This is why the task is marked as stalled.

stjn added a comment.Apr 5 2018, 10:35 AM

And, yet, in T187729#3985938, others disagree and say that it's only the consensus to enable it for admins and template editors. From what I can see, things are pretty divided, and I have no interest in fighting over it when I can instead focus on enabling TemplateStyles where there is no such division. This is why the task is marked as stalled.

Don’t really understand how you got to that conclusion based on my post. There is a consensus to enable TemplateStyles, there was division about how to go about with it, but for now it was decided that we would restrict it via proposals in T187729 and then, after there would be more proper discussion about style guidance etc., open this to everyone. Everyone recognises that TemplateStyles is a valuable instrument, there were and are, however, differences in opinions over how to go about it, but it shouldn’t concern you as a developer since it is/will be a community decision.

Tgr added a comment.Apr 5 2018, 10:36 AM
This comment was removed by Tgr.
Iniquity changed the task status from Stalled to Open.Apr 5 2018, 10:37 AM

@Tgr I think "enable as it is now". We will have a modest use of the extension for the first time.

@Deskana We took into account this problem. And we will solve it by internal means.

Tgr updated the task description. (Show Details)Apr 5 2018, 10:37 AM

@Deskana We took into account this problem. And we will solve it by internal means.

Okay. I don't speak Russian, so I had no way of knowing this unless someone told me. Thanks for letting me know.

ggellerman triaged this task as Normal priority.Apr 5 2018, 5:47 PM
ggellerman moved this task from Up next to Doing on the TemplateStyles board.

Change 425112 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Enable TemplateStyles on ruwiki

https://gerrit.wikimedia.org/r/425112

Deskana renamed this task from Enable TemplateStyles on ruwiki to Enable TemplateStyles on ruwikion 2018-04-10.Apr 10 2018, 10:56 AM

Change 425112 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable TemplateStyles on ruwiki

https://gerrit.wikimedia.org/r/425112

Mentioned in SAL (#wikimedia-operations) [2018-04-10T13:55:31Z] <tgr@tin> Synchronized wmf-config/InitialiseSettings.php: T188198 Enable TemplateStyles on ruwiki (duration: 01m 00s)

stjn added a comment.EditedApr 10 2018, 2:00 PM

@Tgr, sorry that your test was unsuccessful, we have disabled TemplateStyles functionality for non-sysops/engineers.

Tgr renamed this task from Enable TemplateStyles on ruwikion 2018-04-10 to Enable TemplateStyles on ruwiki on 2018-04-10.Apr 10 2018, 2:09 PM
Tgr closed this task as Resolved.Apr 10 2018, 2:11 PM
Tgr claimed this task.

@stjn no worries, I figured it out eventually; there was a small bug with the filter, fixed it. TemplateStyles seems to work fine.

stjn added a comment.Apr 10 2018, 3:05 PM

Cool, it works.

Small feedback: without using tools like Autoprefixer disabling backwards compatibility via vendor prefixes is uncalled.

Tgr added a comment.Apr 10 2018, 3:57 PM

Small feedback: without using tools like Autoprefixer disabling backwards compatibility via vendor prefixes is uncalled.

See T162379: Decide which non-standard CSS properties to support in TemplateStyles.

ggellerman moved this task from Doing to Done on the TemplateStyles board.Apr 11 2018, 4:39 PM